| Home | Libraries | People | FAQ | More

## Function last_finder

boost::algorithm::last_finder — "Last" finder

## Synopsis

    // In header: <boost/algorithm/string/finder.hpp>

    template<typename RangeT> unspecified last_finder(const RangeT & Search);
    template<typename RangeT, typename PredicateT>
      unspecified last_finder(const RangeT & Search, PredicateT Comp);

## Description

Construct the `last_finder`. The finder searches for the last occurrence of the string in a given input. The result is given as an `iterator_range` delimiting the match.

Parameters:

`Search` | A substring to be searched for.

Returns: | An instance of the `last_finder` object